%define name piklab
%define version 0.13.0
%define release %mkrel 3

Summary: Piklab is an IDE for applications based on PIC microcontrollers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://piklab.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdebase-devel
BuildRequires: ImageMagick ncurses-devel
BuildRequires: libusb-devel libreadline-devel

%description
Piklab is an integrated development environment for applications based on 
PIC microcontrollers. Gputils tools are used for assembling. Microchip 
programmers and several direct programmers are supported.

%prep

%setup -q -n %{name}-%{version}

%build

%configure --disable-rpath --with-qt-libraries=$QTDIR/%{_lib}

make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/%_menudir
perl -pi -e s/Encoding=UTF-8// %{buildroot}/%{_datadir}/applications/kde/piklab.desktop

kdedesktop2mdkmenu.pl %name "More Applications/Development/Development Environments" %{buildroot}/%{_datadir}/applications/kde/piklab.desktop %{buildroot}/%_menudir/%{name}

mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -resize 16x16 piklab.xpm %{buildroot}%{_miconsdir}/%name.png
convert -resize 32x32 piklab.xpm %{buildroot}%{_iconsdir}/%name.png
convert -resize 48x48 piklab.xpm %{buildroot}%{_liconsdir}/%name.png

%find_lang %{name}
%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/*
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/piklab.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mimelnk/application/x-piklab.desktop
%{_datadir}/apps/katepart/syntax/*
%_docdir/HTML/en/%name
%_menudir/%{name}
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png


%changelog
* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.13.0-3mdv2007.0
+ Revision: 117078
- Buildrequires
- Buildrequires
- Update to 0.13.0
- Import piklab



* Thu Oct 12 2006 Lenny Cartier <lenny@mandriva.com> 0.12.0-1mdv2007.1
- 0.12

* Wed Aug 23 2006 Lenny Cartier <lenny@mandriva.com> 0.11.0-1mdv2007.0
- 0.11.0b

* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.0
- 0.10.0

* Sat May 13 2006 Couriousous <couriousous@mandriva.org> 0.8.0-1mdk
- 0.8.0

* Sat May  6 2006 Couriousous <couriousous@mandriva.org> 0.7.0-2mdk
- Fix #22320

* Fri Apr 28 2006 Lenny Cartier <lenny@mandriva.com> 0.7.0-1mdk
- 0.7.0

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 0.6.1-1mdk
- 0.6.1
- Renamed to piklab ?!

* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 0.1-1mdk
- First Mandriva release
